
Infrastructure - Task #2946

Story # 2945 (Closed): Dataone-cn-solr prerm script destroys index data

Prevent index and config loss on dataone-cn-solr upgrade on patch update

2012-06-15 15:42 - Skye Roseboom

Status: Closed Start date: 2012-06-15

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

Issue to track this problem and help ensure its handled on upgrade.

Effected directories:

Data:

/var/lib/solr/data/d1-cn-index

/var/lib/solr/data/d1-cn-log

Config:

/usr/share/solr/d1-cn-log/

/usr/share/solr/d1-cn-index/

Offending lines in /var/lib/dpkg/info/dataone-cn-solr.prerm

lines: 10-12

Remove core home dirs

rm -rf /usr/share/solr/d1-cn-index

rm -rf /usr/share/solr/d1-cn-log

lines: 17-19 

Remove core data dirs

rm -rf /var/lib/solr/data/d1-cn-index

rm -rf /var/lib/solr/data/d1-cn-log

Related issues:

Duplicates Infrastructure - Task #2951: Modify cn-dataone-solr.prerm and solr... Closed 2012-06-15

History

#1 - 2012-06-15 16:51 - Robert Waltz

- Status changed from New to In Progress

#2 - 2012-06-19 05:34 - Robert Waltz

- Status changed from In Progress to Closed
